# Interface Constant<T>

All Known Implementing Classes:
  `FixedConstant`

public interface Constant<T>
Defines a typed value. Not necessarily constant in that the value will not change, but in the context of the jel package it is not dependent on the column index.

Since:
  10 Dec 2007
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Class<T>`
`getContentClass()`
Returns a class of which this object's value will be an instance.
`T`
`getValue()`
Returns this object's value.
`boolean`
`requiresRowIndex()`
Indicates whether evaluation of this constant needs to know the row index.

## Method Details

### getContentClass

Class<T> getContentClass()
Returns a class of which this object's value will be an instance.

Returns:
  content class

### getValue

T getValue()
Returns this object's value. Not necessarily always the same.

Returns:
  value

### requiresRowIndex

boolean requiresRowIndex()
Indicates whether evaluation of this constant needs to know the row index. If executing `getValue()` may result in a call to `StarTableJELRowReader.getCurrentRow()`, this method must return true.

Returns:
  true if evaluating this constant needs or may need to know the current row index